Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354115 (python-aenum) - Review Request: python-aenum - Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
Summary: Review Request: python-aenum - Advanced Enumerations (compatible with Python'...
Keywords:
Status: CLOSED WONTFIX
Alias: python-aenum
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Černý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 17:27 UTC by Igor Gnatenko
Modified: 2018-08-22 07:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:42 UTC
jcerny: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2016-07-09 17:27:41 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-aenum.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-aenum-1.4.5-1.fc25.src.rpm
Description:
aenum includes a Python stdlib Enum-compatible data type, as well as a
metaclass-based NamedTuple implementation and a NamedConstant class.

An Enum is a set of symbolic names (members) bound to unique, constant values.
Within an enumeration, the members can be compared by identity, and the
enumeration itself can be iterated over. If using Python 3 there is built-in
support for unique values, multiple values, auto-numbering, and suspension of
aliasing (members with the same value are not identical), plus the ability to
have values automatically bound to attributes.


A NamedTuple is a class-based, fixed-length tuple with a name for each possible
position accessible using attribute-access notation as well as the standard
index notation.


A NamedConstant is a class whose members cannot be rebound; it lacks all other
Enum capabilities, however; consequently, it can have duplicate values.


Utility functions include:
* skip: class that prevents attributes from being converted to a
        constant or enum member
* module: inserts NamedConstant and Enum classes into sys.modules
          where it will appear to be a module whose top-level names cannot be
          rebound
* extend_enum: add new members to enumerations after creation
* enum: helper class for creating members with keywords
* constant: helper class for creating constant members
Fedora Account System Username: ignatenkobrain

Comment 1 Jan Černý 2017-06-23 08:59:42 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "*No copyright* BSD", "Unknown or generated".
     9 files have unknown license. Detailed output of licensecheck in
     /home/jcerny/1354115-python-aenum/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 266240 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-aenum , python3-aenum
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-aenum-1.4.5-1.fc24.noarch.rpm
          python3-aenum-1.4.5-1.fc24.noarch.rpm
          python-aenum-1.4.5-1.fc24.src.rpm
python2-aenum.noarch: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
python2-aenum.noarch: E: summary-too-long C Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
python2-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python2-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python2-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python2-aenum.noarch: W: spelling-error %description -l en_US enum -> menu, en um, en-um
python2-aenum.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python2-aenum.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/aenum/test.pyo
python2-aenum.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/aenum/test.pyc
python3-aenum.noarch: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: E: summary-too-long C Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
python3-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python3-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python3-aenum.noarch: W: spelling-error %description -l en_US enum -> menu, en um, en-um
python3-aenum.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python-aenum.src: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
python-aenum.src: E: summary-too-long C Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
python-aenum.src: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python-aenum.src: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python-aenum.src: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python-aenum.src: W: spelling-error %description -l en_US enum -> menu, en um, en-um
python-aenum.src: W: spelling-error %description -l en_US sys -> says, sis, syn
3 packages and 0 specfiles checked; 3 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
python3-aenum.noarch: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: E: summary-too-long C Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
python3-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python3-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python3-aenum.noarch: W: spelling-error %description -l en_US enum -> menu, en um, en-um
python3-aenum.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python2-aenum.noarch: W: spelling-error Summary(en_US) stdlib -> std lib, std-lib, stolid
python2-aenum.noarch: E: summary-too-long C Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and NamedConstants
python2-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python2-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python2-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python2-aenum.noarch: W: spelling-error %description -l en_US enum -> menu, en um, en-um
python2-aenum.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python2-aenum.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/aenum/test.pyo
python2-aenum.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/aenum/test.pyc
2 packages and 0 specfiles checked; 2 errors, 14 warnings.



Requires
--------
python3-aenum (rpmlib, GLIBC filtered):
    python(abi)

python2-aenum (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-aenum:
    python3-aenum

python2-aenum:
    python-aenum
    python2-aenum



Source checksums
----------------
https://bitbucket.org/stoneleaf/aenum/get/1.4.5.tar.gz#/aenum-1.4.5.tar.gz :
  CHECKSUM(SHA256) this package     : cf5f49e465b184b0b7248707edc23c4352ab3dfa3f1cf3226365ddeba786159a
  CHECKSUM(SHA256) upstream package : cf5f49e465b184b0b7248707edc23c4352ab3dfa3f1cf3226365ddeba786159a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1354115
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Issues
------
Old version 1.4.5 is packaged, but upstream already released version 2.0.6.
Rpmlint reports too long summary.

Comment 2 Elliott Sales de Andrade 2018-01-01 20:58:29 UTC
Please update the review to the latest version.

Comment 3 Igor Gnatenko 2018-08-22 07:31:42 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.


Note You need to log in before you can comment on or make changes to this bug.